Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Obsolete Members for <QtPlugin>

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- <QtPlugin> class reference

## Macros

| Q_EXPORT_PLUGIN ( ClassName )`(obsolete)`

## Macro Documentation

### Q_EXPORT_PLUGIN ( ClassName )

Use Q_EXPORT_PLUGIN2() instead. This macro is equivalent to Q_EXPORT_PLUGIN2(ClassName, ClassName).